System 2.0.0.0 4.0.0.0 System.Security.Cryptography.X509Certificates.X509Extension

An enhanced key usage (EKU) extension is a collection of object identifiers (OIDs) that indicate the applications that use the key.

Defines the collection of object identifiers (OIDs) that indicates the applications that use the key. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  Use this method to create a new instance of the class. After the instance has been created, you can then use the property to obtain the collection of object identifiers (OIDs) that indicate the applications that use the key.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  Use this constructor if the information to create the extension is already in an object.

  Initializes a new instance of the class using an object and a value that identifies whether the extension is critical.

  The encoded data to use to create the extension.
  true if the extension is critical; otherwise, false.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using an and a value that identifies whether the extension is critical.

  An collection.
  true if the extension is critical; otherwise, false.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Initializes a new instance of the class using an object.

  The encoded data to use to create the extension.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.OidCollection To be added. To be added.

  Gets the collection of object identifiers (OIDs) that indicate the applications that use the key.